<?php
	require_once('../../majax.php');
	Majax::Form()->register('registrationFormA', 'processForm');
	Majax::Form()->register('registrationFormB', 'processForm');

	Majax::Form()->submitOnSuccess(false);
	Majax::process();
	
	
	function processForm($arg)
	{
		$error = false;
		if (!$arg['userName']) { 
			Majax::Form()->addAlert('Please, fill username.');
			$error = true;
		}
		
		if (!$arg['newPass1'] || !$arg['newPass2']) { 
			Majax::Form()->addAlert('Please, fill password.');
			$error = true;
		}
		
		if ($arg['newPass1'] != $arg['newPass2']) { 
			Majax::Form()->addAlert('Passwords are diferent.');
			$error = true;
		}
		
		if (strlen($arg['newPass1']) < 8) { 
			Majax::Form()->addAlert('Password too short.');
			$error = true;
		}
		
		Majax::Form()->setFormValidity(!$error);
		//Majax::submitOnSuccess(true);
		
		Majax::send();	
		
	
	}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">
<head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

 <meta http-equiv="Content-language" content="cs" />
 <meta name="robots" content="index,follow" />
 <meta name="googlebot" content="index,follow" />
 <meta http-equiv="imagetoolbar" content="no" />
 <meta http-equiv="MSThemeCompatible" content="no" />
 <meta name="MS.LOCALE" content="cs" />

 <meta name="autosize" content="off" />
 <meta http-equiv="Cache-Control" content="must-revalidate, post-check=0, pre-check=0" />
 <meta http-equiv="Pragma" content="public" />

 <meta http-equiv="Cache-Control" content="no-cache" />
 <meta http-equiv="Pragma" content="no-cache" />
 <meta http-equiv="expires" content="-1" />
 <script type="text/javascript" src="../../majax.js"></script>
 <script type="text/javascript" src="example.js"></script>

</head>
<body>
<table>
	<tr>
	
		<td>
		<form id="registrationFormA" class="majaxForm" action="">
			<dl>
				<dt>Username:</dt>
					<dd><input type="text" name="userName" /></dd>
				<dt>Password:</dt>	
					<dd><input type="password" name="newPass1" /></dd>
				<dt>Confirm Password:</dt>
					<dd><input type="password" name="newPass2" /></dd>
			</dl>
			<div><input type="submit" value="Send" /></div>
		</form>
		</td>
		<td>
			&nbsp;
		</td>
	</tr>
	<tr>
		<td>
		<form id="registrationFormB" class="majaxForm" action="">
			<dl>
				<dt>Username:</dt>
					<dd><input type="text" name="userName" /></dd>
				<dt>Password:</dt>	
					<dd><input type="password" name="newPass1" /></dd>
				<dt>Confirm Password:</dt>
					<dd><input type="password" name="newPass2" /></dd>
			</dl>
			<div><input type="submit" value="Send" /></div>
		</form>	
		</td>
		<td>
			&nbsp;
		</td>
	</tr>
</body>
</html>