<?php
/*
 * Created on 24-May-07
 * 
 * @author	Martin Majlis
 * @version	0.1
 */
 
require_once('../../majax.php');

function make_seed()
{
  list($usec, $sec) = explode(' ', microtime());
  return (float) $sec + ((float) $usec * 100000);
}
srand(make_seed());

class A { 
	function getColorRandom($arg) { 
		generalRandom(1, $arg['from'], $arg['to'], $arg['sleep']);
	}

	function postColorRandom($arg) { 
		generalRandom(1, $arg['from'], $arg['to'], $arg['sleep']);
	}
	
}

$a = new A();
$a->a = 10;

function getRandom($arg) { 
	generalRandom(0, $arg['from'], $arg['to'], $arg['sleep']);
}

function postRandom($arg) { 
	generalRandom(0, $arg['from'], $arg['to'], $arg['sleep']);
}


Majax::register('getRandom');
Majax::register('postRandom', 'postRandom');
Majax::register('getColorRandom', array('A', 'getColorRandom'));
Majax::register('postColorRandom', array($a, 'postColorRandom'));

if (Majax::process())  { 
	exit();
}
 

function generalRandom($type, $from, $to, $sleep) 
{
	if ( $sleep ) { 
		sleep(intval($sleep));
	}
	
	if ($type == 0)	{ 	
		echo rand($from, $to);
	} else { 
		$str = '<p style="
			color:rgb('.rand(0,255).', '.rand(0,255).', '.rand(0,255).');
			background-color:rgb('.rand(0,255).', '.rand(0,255).', '.rand(0,255).');">'.rand($from, $to).'</p>';
		echo Majax::toDOM($str);
	} 
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">
<head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

 <meta http-equiv="Content-language" content="cs" />
 <meta name="robots" content="index,follow" />
 <meta name="googlebot" content="index,follow" />
 <meta http-equiv="imagetoolbar" content="no" />
 <meta http-equiv="MSThemeCompatible" content="no" />
 <meta name="MS.LOCALE" content="cs" />

 <meta name="autosize" content="off" />
 <meta http-equiv="Cache-Control" content="must-revalidate, post-check=0, pre-check=0" />
 <meta http-equiv="Pragma" content="public" />

 <meta http-equiv="Cache-Control" content="no-cache" />
 <meta http-equiv="Pragma" content="no-cache" />
 <meta http-equiv="expires" content="-1" />
 <script type="text/javascript" src="../../majax.js"></script>
 <script type="text/javascript" src="example.js"></script>
 <style>
 	.outer { 
 		border:1px solid blue;
 	}
 	.col { 
 		width:48%;
 		border: 1px solid red;
 		float:left;
 	}
 </style>
</head>
<body>
<div class="col">
	<div class="outer">
		<h2>Random with functions</h2>
		<div id="block1a">
			<div id="block1aGet" class="col"></div>
			<div id="block1aPost" class="col"></div>		
		</div>
		<button onclick="fce1a();">
			 Fce 1 
		</button>
	</div>

	<div class="outer">
		<h2>Random with direct access</h2>
		<div id="block2a">
			<div id="block2aGet" class="col"></div>
			<div id="block2aPost" class="col"></div>			
		</div>
		<button onclick="fce2a();">
			Fce 2
		</button>
	</div>
	
	<div class="outer">
		<h2>Append - first/last</h2>
		<div id="block3a">
			<div id="block3aGet" class="col"></div>
			<div id="block3aPost" class="col"></div>		
		</div>
		
		<button onclick="fce3a();">
			Fce 3
		</button>
	</div>
	
	<div class="outer">
		<h2>Repeat update</h2>
		<div id="block4a">
			<div id="block4aGet" class="col"></div>
			<div id="block4aPost" class="col"></div>		
		</div>
		<button onclick="fce4a();">
			Fce 4
		</button>
	</div>		
</div>	

<div class="col">
	<div class="outer">
		<h2>Random with functions</h2>
		<div id="block1b">
			<div id="block1bGet" class="col"></div>
			<div id="block1bPost" class="col"></div>		
		</div>
		<button onclick="fce1b();">
			 Fce 1 
		</button>
	</div>

	<div class="outer">
		<h2>Random with direct access</h2>
		<div id="block2b">
			<div id="block2bGet" class="col"></div>
			<div id="block2bPost" class="col"></div>			
		</div>
		<button onclick="fce2b();">
			Fce 2
		</button>
	</div>
	
	<div class="outer">
		<h2>Append - first/last</h2>		
		<div id="block3b">
			<div id="block3bGet" class="col"></div>
			<div id="block3bPost" class="col"></div>		
		</div>
		
		<button onclick="fce3b();">
			Fce 3
		</button>
	</div>
	
	<div class="outer">
		<h2>Repeat update</h2>
		<div id="block4b">
			<div id="block4bGet" class="col"></div>
			<div id="block4bPost" class="col"></div>		
		</div>
		<button onclick="fce4b();">
			Fce 4
		</button>
	</div>		
</div>

</body>
</html>
